### Enumeration

# Gsk GLUniformType

#### Declaration

    enum Gsk.GLUniformType

#### Description [src]

This defines the types of the uniforms that `GskGLShaders` declare.

It defines both what the type is called in the GLSL shader code, and what the corresponding C type is on the Gtk side.

#### Members

`GSK_GL_UNIFORM_TYPE_NONE`

  No type, used for uninitialized or unspecified values.

  - Value: `0`
  - Nickname: `none`
  - Available since: 4.0
`GSK_GL_UNIFORM_TYPE_FLOAT`

  A float uniform.

  - Value: `1`
  - Nickname: `float`
  - Available since: 4.0
`GSK_GL_UNIFORM_TYPE_INT`

  A GLSL int / gint32 uniform.

  - Value: `2`
  - Nickname: `int`
  - Available since: 4.0
`GSK_GL_UNIFORM_TYPE_UINT`

  A GLSL uint / guint32 uniform.

  - Value: `3`
  - Nickname: `uint`
  - Available since: 4.0
`GSK_GL_UNIFORM_TYPE_BOOL`

  A GLSL bool / gboolean uniform.

  - Value: `4`
  - Nickname: `bool`
  - Available since: 4.0
`GSK_GL_UNIFORM_TYPE_VEC2`

  A GLSL vec2 / graphene_vec2_t uniform.

  - Value: `5`
  - Nickname: `vec2`
  - Available since: 4.0
`GSK_GL_UNIFORM_TYPE_VEC3`

  A GLSL vec3 / graphene_vec3_t uniform.

  - Value: `6`
  - Nickname: `vec3`
  - Available since: 4.0
`GSK_GL_UNIFORM_TYPE_VEC4`

  A GLSL vec4 / graphene_vec4_t uniform.

  - Value: `7`
  - Nickname: `vec4`
  - Available since: 4.0